# paginate

fun ERROR CLASS: Symbol not found for Query. paginate (with: Pagination , orderBy: Pair <ERROR CLASS: Symbol not found for Expression<*>, ERROR CLASS: Symbol not found for SortOrder>? = null): ERROR CLASS: Cannot infer argument for type parameter R(source)

Applies pagination to this Exposed Query. Sets the limit and offset based on the pagination parameters, and optionally orders the results.

#### Return

The query with pagination and optional ordering applied

#### Parameters

with

The pagination parameters to apply

orderBy

Optional pair of expression and sort order to order the results by

fun ERROR CLASS: Symbol not found for Query. paginate (with: Pagination , orderBy: ERROR CLASS: Symbol not found for Expression<*>??, reversed: Boolean = false): ERROR CLASS: Cannot infer argument for type parameter R(source)

Applies pagination to this Exposed Query with optional ordering and reversal. Sets the limit and offset based on the pagination parameters.

#### Return

The query with pagination and optional ordering applied

#### Parameters

with

The pagination parameters to apply

orderBy

Optional expression to order the results by

reversed

If true, orders in descending order; otherwise ascending. Defaults to false